Bug 1700760 - [OSP14] nova_metadata container is in unhealthy state on undercloud and overcloud nodes
Summary: [OSP14] nova_metadata container is in unhealthy state on undercloud and overc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z3
: 14.0 (Rocky)
Assignee: Martin Schuppert
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
: 1725900 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-17 10:39 UTC by Martin Schuppert
Modified: 2019-07-02 19:44 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-common-9.5.0-3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-02 19:44:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 618526 None None None 2019-04-17 10:39:40 UTC
Red Hat Product Errata RHSA-2019:1683 None None None 2019-07-02 19:44:22 UTC

Description Martin Schuppert 2019-04-17 10:39:41 UTC
Description of problem:

With the revert of downstream-only temporary fix [1], the nova metadata process name got
reverted to the wrong:

-if pgrep -f nova_metadata; then                                                                                                            
+if pgrep -f nova-metadata; then      

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1651931


Version-Release number of selected component (if applicable):
openstack-tripleo-common-container-base-9.4.1-0.20190119050432.261de49.el7ost.noarch

How reproducible:


Steps to Reproduce:
1. deploy OSP14z1
2.
3.

Actual results:

 [root@undercloud-0 ~]# docker ps |grep nova_meta
84ff28b1da68        192.168.24.1:8787/rhosp14/openstack-nova-api:2019-03-06.10                    "kolla_start"            2 hours ago         Up 2 hours (unhealthy)                       nova_metadata


Expected results:
nova_metadata reports healthy

Additional info:
need to get https://review.openstack.org/618526

Comment 17 Martin Schuppert 2019-07-02 07:14:10 UTC
*** Bug 1725900 has been marked as a duplicate of this bug. ***

Comment 18 errata-xmlrpc 2019-07-02 19:44:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1683


Note You need to log in before you can comment on or make changes to this bug.